diff --git a/web/pgadmin/browser/server_groups/servers/static/js/server.js b/web/pgadmin/browser/server_groups/servers/static/js/server.js
index 3736a302..99328083 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/server.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/server.js
@@ -668,70 +676,70 @@ define('pgadmin.node.server', [
           pgAdmin.Browser.Node.Model.prototype.initialize.apply(this, arguments);
         },
         schema: [{
-          id: 'id', label: gettext('ID'), type: 'int', mode: ['properties']
+          id: 'id', label: gettext('ID'), type: 'int', mode: ['properties'],
         },{
           id: 'name', label: gettext('Name'), type: 'text',
-          mode: ['properties', 'edit', 'create']
+          mode: ['properties', 'edit', 'create'],
         },{
           id: 'gid', label: gettext('Server group'), type: 'int',
           control: 'node-list-by-id', node: 'server_group',
-          mode: ['create', 'edit'], select2: {allowClear: false}
+          mode: ['create', 'edit'], select2: {allowClear: false},
         },{
           id: 'server_type', label: gettext('Server type'), type: 'options',
           mode: ['properties'], visible: 'isConnected',
-          'options': supported_servers
+          'options': supported_servers,
         },{
           id: 'connected', label: gettext('Connected?'), type: 'switch',
           mode: ['properties'], group: gettext('Connection'), 'options': {
             'onText':  gettext('True'), 'offText':  gettext('False'), 'onColor':  'success',
-            'offColor': 'danger', 'size': 'small'
-          }
+            'offColor': 'danger', 'size': 'small',
+          },
         },{
           id: 'version', label: gettext('Version'), type: 'text', group: null,
-          mode: ['properties'], visible: 'isConnected'
+          mode: ['properties'], visible: 'isConnected',
         },{
           id: 'bgcolor', label: gettext('Background'), type: 'color',
           group: null, mode: ['edit', 'create'], disabled: 'isfgColorSet',
-          deps: ['fgcolor']
+          deps: ['fgcolor'],
         },{
           id: 'fgcolor', label: gettext('Foreground'), type: 'color',
           group: null, mode: ['edit', 'create'], disabled: 'isConnected',
         },{
           id: 'connect_now', controlLabel: gettext('Connect now?'), type: 'checkbox',
-          group: null, mode: ['create']
+          group: null, mode: ['create'],
         },{
           id: 'comment', label: gettext('Comments'), type: 'multiline', group: null,
-          mode: ['properties', 'edit', 'create']
+          mode: ['properties', 'edit', 'create'],
         },{
           id: 'host', label: gettext('Host name/address'), type: 'text', group: gettext('Connection'),
-          mode: ['properties', 'edit', 'create'], disabled: 'isConnected'
+          mode: ['properties', 'edit', 'create'], disabled: 'isConnected',
         },{
           id: 'port', label: gettext('Port'), type: 'int', group: gettext('Connection'),
-          mode: ['properties', 'edit', 'create'], disabled: 'isConnected', min: 1024, max: 65535
+          mode: ['properties', 'edit', 'create'], disabled: 'isConnected', min: 1024, max: 65535,
         },{
           id: 'db', label: gettext('Maintenance database'), type: 'text', group: gettext('Connection'),
-          mode: ['properties', 'edit', 'create'], disabled: 'isConnected'
+          mode: ['properties', 'edit', 'create'], disabled: 'isConnected',
         },{
           id: 'username', label: gettext('Username'), type: 'text', group: gettext('Connection'),
-          mode: ['properties', 'edit', 'create'], disabled: 'isConnected'
+          mode: ['properties', 'edit', 'create'], disabled: 'isConnected',
         },{
           id: 'password', label: gettext('Password'), type: 'password',
           group: gettext('Connection'), control: 'input', mode: ['create'], deps: ['connect_now'],
           visible: function(m) {
             return m.get('connect_now') && m.isNew();
-          }
+          },
         },{
-          id: 'save_password', controlLabel: gettext('Save password?'), type: 'checkbox',
-          group: gettext('Connection'), mode: ['create'], deps: ['connect_now'],
-          visible: function(m) {
+          id: 'save_password', controlLabel: gettext('Save password?'),
+          type: 'checkbox', group: gettext('Connection'), mode: ['create'],
+          deps: ['connect_now'], visible: function(m) {
             return m.get('connect_now') && m.isNew();
           },
-          disabled: function(m) {
+          disabled: function() {
             return !current_user.allow_save_password;
-          }
+          },
         },{
           id: 'role', label: gettext('Role'), type: 'text', group: gettext('Connection'),
-          mode: ['properties', 'edit', 'create'], disabled: 'isConnected'
+          mode: ['properties', 'edit', 'create'], disabled: 'isConnected',
         },{
           id: 'sslmode', label: gettext('SSL mode'), type: 'options', group: gettext('SSL'),
           mode: ['properties', 'edit', 'create'], disabled: 'isConnected',
@@ -741,38 +749,38 @@ define('pgadmin.node.server', [
             {label: gettext('Require'), value: 'require'},
             {label: gettext('Disable'), value: 'disable'},
             {label: gettext('Verify-CA'), value: 'verify-ca'},
-            {label: gettext('Verify-Full'), value: 'verify-full'}
-          ]
+            {label: gettext('Verify-Full'), value: 'verify-full'},
+          ],
         },{
           id: 'sslcert', label: gettext('Client certificate'), type: 'text',
           group: gettext('SSL'), mode: ['edit', 'create'],
           disabled: 'isSSL', control: Backform.FileControl,
           dialog_type: 'select_file', supp_types: ['*'],
-          deps: ['sslmode']
+          deps: ['sslmode'],
         },{
           id: 'sslkey', label: gettext('Client certificate key'), type: 'text',
           group: gettext('SSL'), mode: ['edit', 'create'],
           disabled: 'isSSL', control: Backform.FileControl,
           dialog_type: 'select_file', supp_types: ['*'],
-          deps: ['sslmode']
+          deps: ['sslmode'],
         },{
           id: 'sslrootcert', label: gettext('Root certificate'), type: 'text',
           group: gettext('SSL'), mode: ['edit', 'create'],
           disabled: 'isSSL', control: Backform.FileControl,
           dialog_type: 'select_file', supp_types: ['*'],
-          deps: ['sslmode']
+          deps: ['sslmode'],
         },{
           id: 'sslcrl', label: gettext('Certificate revocation list'), type: 'text',
           group: gettext('SSL'), mode: ['edit', 'create'],
           disabled: 'isSSL', control: Backform.FileControl,
           dialog_type: 'select_file', supp_types: ['*'],
-          deps: ['sslmode']
+          deps: ['sslmode'],
         },{
           id: 'sslcompression', label: gettext('SSL compression?'), type: 'switch',
           mode: ['edit', 'create'], group: gettext('SSL'),
           'options': { 'onText':   gettext('True'), 'offText':  gettext('False'),
-          'onColor':  'success', 'offColor': 'danger', 'size': 'small'},
-          deps: ['sslmode'], disabled: 'isSSL'
+            'onColor':  'success', 'offColor': 'danger', 'size': 'small'},
+          deps: ['sslmode'], disabled: 'isSSL',
         },{
           id: 'sslcert', label: gettext('Client certificate'), type: 'text',
           group: gettext('SSL'), mode: ['properties'],
@@ -780,7 +788,7 @@ define('pgadmin.node.server', [
           visible: function(m) {
             var sslcert = m.get('sslcert');
             return !_.isUndefined(sslcert) && !_.isNull(sslcert);
-          }
+          },
         },{
           id: 'sslkey', label: gettext('Client certificate key'), type: 'text',
           group: gettext('SSL'), mode: ['properties'],
@@ -788,7 +796,7 @@ define('pgadmin.node.server', [
           visible: function(m) {
             var sslkey = m.get('sslkey');
             return !_.isUndefined(sslkey) && !_.isNull(sslkey);
-          }
+          },
         },{
           id: 'sslrootcert', label: gettext('Root certificate'), type: 'text',
           group: gettext('SSL'), mode: ['properties'],
@@ -796,7 +804,7 @@ define('pgadmin.node.server', [
           visible: function(m) {
             var sslrootcert = m.get('sslrootcert');
             return !_.isUndefined(sslrootcert) && !_.isNull(sslrootcert);
-          }
+          },
         },{
           id: 'sslcrl', label: gettext('Certificate revocation list'), type: 'text',
           group: gettext('SSL'), mode: ['properties'],
@@ -804,40 +812,40 @@ define('pgadmin.node.server', [
           visible: function(m) {
             var sslcrl = m.get('sslcrl');
             return !_.isUndefined(sslcrl) && !_.isNull(sslcrl);
-          }
+          },
         },{
           id: 'sslcompression', label: gettext('SSL compression?'), type: 'switch',
           mode: ['properties'], group: gettext('SSL'),
           'options': { 'onText':  gettext('True'), 'offText':  gettext('False'),
-          'onColor':  'success', 'offColor': 'danger', 'size': 'small'},
+            'onColor':  'success', 'offColor': 'danger', 'size': 'small'},
           deps: ['sslmode'], visible: function(m) {
             var sslmode = m.get('sslmode');
             return _.indexOf(SSL_MODES, sslmode) != -1;
-          }
+          },
         },{
           id: 'hostaddr', label: gettext('Host address'), type: 'text', group: gettext('Advanced'),
-          mode: ['properties', 'edit', 'create'], disabled: 'isConnected'
+          mode: ['properties', 'edit', 'create'], disabled: 'isConnected',
         },{
           id: 'db_res', label: gettext('DB restriction'), type: 'select2', group: gettext('Advanced'),
           mode: ['properties', 'edit', 'create'], disabled: 'isConnected', select2: {multiple: true, allowClear: false,
-          tags: true, tokenSeparators: [','], first_empty: false, selectOnClose: true, emptyOptions: true}
+            tags: true, tokenSeparators: [','], first_empty: false, selectOnClose: true, emptyOptions: true},
         },{
           id: 'passfile', label: gettext('Password file'), type: 'text',
           group: gettext('Advanced'), mode: ['edit', 'create'],
           disabled: 'isConnectedWithValidLib', control: Backform.FileControl,
-          dialog_type: 'select_file', supp_types: ['*']
+          dialog_type: 'select_file', supp_types: ['*'],
         },{
           id: 'passfile', label: gettext('Password file'), type: 'text',
           group: gettext('Advanced'), mode: ['properties'],
           visible: function(m) {
             var passfile = m.get('passfile');
             return !_.isUndefined(passfile) && !_.isNull(passfile);
-          }
+          },
         }],
         validate: function() {
           var err = {},
-              errmsg,
-              self = this;
+            errmsg,
+            self = this;
 
           var check_for_empty = function(id, msg) {
             var v = self.get(id);
@@ -851,28 +859,28 @@ define('pgadmin.node.server', [
               self.errorModel.unset(id);
               return false;
             }
-          }
+          };
           var check_for_valid_ipv6 = function(val){
             // Regular expression for validating IPv6 address formats
             var exps = ['^\s*((([0-9A-Fa-f]{1,4}:){7}([0-9A-Fa-f]{1,4}|:))|',
-                '(([0-9A-Fa-f]{1,4}:){6}(:[0-9A-Fa-f]{1,4}|((25[0-5]|',
-                '2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|',
-                '(([0-9A-Fa-f]{1,4}:){5}(((:[0-9A-Fa-f]{1,4}){1,2})|',
-                ':((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|',
-                '(([0-9A-Fa-f]{1,4}:){4}(((:[0-9A-Fa-f]{1,4}){1,3})|((:[0-9A-Fa-f]{1,4})?:((25[0-5]|',
-                '2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|',
-                '(([0-9A-Fa-f]{1,4}:){3}(((:[0-9A-Fa-f]{1,4}){1,4})|((:[0-9A-Fa-f]{1,4}){0,2}:((25[0-5]|2[0-4]\d|1\d\d|',
-                '[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9A-Fa-f]{1,4}:){2}(((:[0-9A-Fa-f]{1,4}){1,5})|',
-                '((:[0-9A-Fa-f]{1,4}){0,3}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|',
-                '(([0-9A-Fa-f]{1,4}:){1}(((:[0-9A-Fa-f]{1,4}){1,6})|((:[0-9A-Fa-f]{1,4}){0,4}:((25[0-5]|2[0-4]\d|',
-                '1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(:(((:[0-9A-Fa-f]{1,4}){1,7})|',
-                '((:[0-9A-Fa-f]{1,4}){0,5}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:)))(%.+)?\s*$'];
+              '(([0-9A-Fa-f]{1,4}:){6}(:[0-9A-Fa-f]{1,4}|((25[0-5]|',
+              '2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|',
+              '(([0-9A-Fa-f]{1,4}:){5}(((:[0-9A-Fa-f]{1,4}){1,2})|',
+              ':((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|',
+              '(([0-9A-Fa-f]{1,4}:){4}(((:[0-9A-Fa-f]{1,4}){1,3})|((:[0-9A-Fa-f]{1,4})?:((25[0-5]|',
+              '2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|',
+              '(([0-9A-Fa-f]{1,4}:){3}(((:[0-9A-Fa-f]{1,4}){1,4})|((:[0-9A-Fa-f]{1,4}){0,2}:((25[0-5]|2[0-4]\d|1\d\d|',
+              '[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9A-Fa-f]{1,4}:){2}(((:[0-9A-Fa-f]{1,4}){1,5})|',
+              '((:[0-9A-Fa-f]{1,4}){0,3}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|',
+              '(([0-9A-Fa-f]{1,4}:){1}(((:[0-9A-Fa-f]{1,4}){1,6})|((:[0-9A-Fa-f]{1,4}){0,4}:((25[0-5]|2[0-4]\d|',
+              '1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(:(((:[0-9A-Fa-f]{1,4}){1,7})|',
+              '((:[0-9A-Fa-f]{1,4}){0,5}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:)))(%.+)?\s*$'];
 
             var exp = new RegExp(exps.join(''));
             return exp.test(val.trim());
-          }
+          };
           var check_for_valid_ip = function(id, msg) {
-            var v4exps = "(^\\s*((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]))\\s*$)";
+            var v4exps = '(^\\s*((([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5]))\\s*$)';
             var v4exp = new RegExp(v4exps);
             var v = self.get(id);
             if (
@@ -885,7 +893,7 @@ define('pgadmin.node.server', [
             } else {
               self.errorModel.unset(id);
             }
-          }
+          };
 
           if (!self.isNew() && 'id' in self.sessAttrs) {
             err['id'] = gettext('The ID cannot be changed.');
@@ -928,7 +936,7 @@ define('pgadmin.node.server', [
         },
         isfgColorSet: function(model) {
           var bgcolor = model.get('bgcolor'),
-              fgcolor = model.get('fgcolor');
+            fgcolor = model.get('fgcolor');
 
           if(model.get('connected')) {
             return true;
@@ -958,15 +966,13 @@ define('pgadmin.node.server', [
           // older version of libpq do not support 'passfile' parameter in
           // connect method, valid libpq must have version >= 100000
           return pgBrowser.utils.pg_libpq_version < 100000;
-        }
+        },
       }),
       connection_lost: function(i, resp) {
         if (pgBrowser.tree) {
           var t = pgBrowser.tree,
-              info = i && this.getTreeNodeHierarchy(i),
-              s = null,
-              d = i && t.itemData(i),
-              self = this;
+            d = i && t.itemData(i),
+            self = this;
 
           while (d && d._type != 'server') {
             i = t.parent(i);
@@ -994,7 +1000,7 @@ define('pgadmin.node.server', [
                   // Make sure - the server is disconnected properly
                   pgBrowser.Events.trigger(
                     'pgadmin:server:disconnect',
-                    {item: _i, data: _d}, false
+                    {item: i, data: d}, false
                   );
                 }
               };
@@ -1003,7 +1009,7 @@ define('pgadmin.node.server', [
               pgBrowser.Events.on(
                 'pgadmin:server:connect:cancelled', disconnect
               );
-              alertify.confirm(
+              Alertify.confirm(
                 gettext('Connection lost'),
                 gettext('Would you like to reconnect to the database?'),
                 function() {
@@ -1022,79 +1028,79 @@ define('pgadmin.node.server', [
             }
           }
         }
-      }
+      },
     });
-    function connect_to_server(obj, data, tree, item, reconnect) {
+    var connect_to_server = function(obj, data, tree, item, reconnect) {
       var wasConnected = reconnect || data.connected,
-          onFailure = function(
-            xhr, status, error, _node, _data, _tree, _item, _wasConnected
-          ) {
-            data.connected = false;
+        onFailure = function(
+          xhr, status, error, _node, _data, _tree, _item, _wasConnected
+        ) {
+          data.connected = false;
+
+          // It should be attempt to reconnect.
+          // Let's not change the status of the tree node now.
+          if (!_wasConnected) {
+            tree.setInode(_item);
+            tree.addIcon(_item, {icon: 'icon-server-not-connected'});
+          }
 
-            // It should be attempt to reconnect.
-            // Let's not change the status of the tree node now.
-            if (!_wasConnected) {
-              tree.setInode(_item);
-              tree.addIcon(_item, {icon: 'icon-server-not-connected'});
+          Alertify.pgNotifier('error', xhr, error, function(msg) {
+            setTimeout(function() {
+              Alertify.dlgServerPass(
+                gettext('Connect to Server'),
+                msg, _node, _data, _tree, _item, _wasConnected
+              ).resizeTo();
+            }, 100);
+          });
+        },
+        onSuccess = function(res, node, data, tree, item, _wasConnected) {
+          if (res && res.data) {
+            if (typeof res.data.icon == 'string') {
+              tree.removeIcon(item);
+              data.icon = res.data.icon;
+              tree.addIcon(item, {icon: data.icon});
             }
 
-            alertify.pgNotifier('error', xhr, error, function(msg) {
-              setTimeout(function() {
-                alertify.dlgServerPass(
-                  gettext('Connect to Server'),
-                  msg, _node, _data, _tree, _item, _wasConnected
-                ).resizeTo();
-              }, 100);
-            });
-          },
-          onSuccess = function(res, node, data, tree, item, _wasConnected) {
-            if (res && res.data) {
-              if (typeof res.data.icon == 'string') {
-                tree.removeIcon(item);
-                data.icon = res.data.icon;
-                tree.addIcon(item, {icon: data.icon});
-              }
-
-              _.extend(data, res.data);
-              data.is_connecting = false;
+            _.extend(data, res.data);
+            data.is_connecting = false;
 
-              var serverInfo = pgBrowser.serverInfo =
-                pgBrowser.serverInfo || {};
-              serverInfo[data._id] = _.extend({}, data);
+            var serverInfo = pgBrowser.serverInfo =
+              pgBrowser.serverInfo || {};
+            serverInfo[data._id] = _.extend({}, data);
 
-              alertify.success(res.info);
-              obj.trigger('connected', obj, item, data);
+            Alertify.success(res.info);
+            obj.trigger('connected', obj, item, data);
 
-              // Generate the event that server is connected
-              pgBrowser.Events.trigger(
-                'pgadmin:server:connected', data._id, item, data
-              );
-              // Generate the event that database is connected
-              pgBrowser.Events.trigger(
-                'pgadmin:database:connected', data._id, data.db, item, data
-              );
+            // Generate the event that server is connected
+            pgBrowser.Events.trigger(
+              'pgadmin:server:connected', data._id, item, data
+            );
+            // Generate the event that database is connected
+            pgBrowser.Events.trigger(
+              'pgadmin:database:connected', data._id, data.db, item, data
+            );
 
-              // We're not reconnecting
-              if (!_wasConnected) {
-                tree.setInode(item);
-                tree.deselect(item);
+            // We're not reconnecting
+            if (!_wasConnected) {
+              tree.setInode(item);
+              tree.deselect(item);
 
-                setTimeout(function() {
-                  tree.select(item);
-                  tree.open(item);
-                }, 10);
-              } else {
-                // We just need to refresh the tree now.
-                setTimeout(function() {
-                  node.callbacks.refresh.apply(node, [true]);
-                }, 10);
-              }
+              setTimeout(function() {
+                tree.select(item);
+                tree.open(item);
+              }, 10);
+            } else {
+              // We just need to refresh the tree now.
+              setTimeout(function() {
+                node.callbacks.refresh.apply(node, [true]);
+              }, 10);
             }
-          };
+          }
+        };
 
       // Ask Password and send it back to the connect server
-      if (!alertify.dlgServerPass) {
-        alertify.dialog('dlgServerPass', function factory() {
+      if (!Alertify.dlgServerPass) {
+        Alertify.dialog('dlgServerPass', function factory() {
           return {
             main: function(
               title, message, node, data, tree, item,
@@ -1113,18 +1119,15 @@ define('pgadmin.node.server', [
             },
             setup:function() {
               return {
-                buttons:[
-                  {
-                    text: gettext("OK"), key: 13, className: "btn btn-primary"
-                  },
-                  {
-                    text: gettext("Cancel"), className: "btn btn-danger"
-                  }
-                ],
-                focus: { element: '#password', select: true },
+                buttons:[{
+                  text: gettext('OK'), key: 13, className: 'btn btn-primary',
+                },{
+                  text: gettext('Cancel'), className: 'btn btn-danger',
+                }],
+                focus: {element: '#password', select: true},
                 options: {
-                  modal: 0, resizable: false, maximizable: false, pinnable: false
-                }
+                  modal: 0, resizable: false, maximizable: false, pinnable: false,
+                },
               };
             },
             build:function() {},
@@ -1133,15 +1136,15 @@ define('pgadmin.node.server', [
             },
             callback: function(closeEvent) {
               var _tree = this.tree,
-                  _item = this.nodeItem,
-                  _node = this.node,
-                  _data = this.nodeData,
-                  _status = this.connected,
-                  _onSuccess = this.onSuccess,
-                  _onFailure = this.onFailure,
-                  _onCancel = this.onCancel;
+                _item = this.nodeItem,
+                _node = this.node,
+                _data = this.nodeData,
+                _status = this.connected,
+                _onSuccess = this.onSuccess,
+                _onFailure = this.onFailure,
+                _onCancel = this.onCancel;
 
-              if (closeEvent.button.text == gettext("OK")) {
+              if (closeEvent.button.text == gettext('OK')) {
 
                 var _url = _node.generate_url(_item, 'connect', _data, true);
 
@@ -1159,19 +1162,19 @@ define('pgadmin.node.server', [
                   success: function(res) {
                     return _onSuccess(
                       res, _node, _data, _tree, _item, _status
-                      );
+                    );
                   },
                   error: function(xhr, status, error) {
                     return _onFailure(
                       xhr, status, error, _node, _data, _tree, _item, _status
-                      );
-                  }
+                    );
+                  },
                 });
               } else {
-                this.onCancel && typeof(this.onCancel) == 'function' &&
-                  this.onCancel(_tree, _item, _data, _status);
+                _onCancel && typeof(_onCancel) == 'function' &&
+                  _onCancel(_tree, _item, _data, _status);
               }
-            }
+            },
           };
         });
       }
@@ -1195,30 +1198,21 @@ define('pgadmin.node.server', [
       };
 
       data.is_connecting = true;
-      var url = obj.generate_url(item, "connect", data, true);
+      var url = obj.generate_url(item, 'connect', data, true);
       $.post(url)
-      .done(function(res) {
-        if (res.success == 1) {
-          return onSuccess(
-            res, obj, data, tree, item, wasConnected
+        .done(function(res) {
+          if (res.success == 1) {
+            return onSuccess(
+              res, obj, data, tree, item, wasConnected
+            );
+          }
+        })
+        .fail(function(xhr, status, error) {
+          return onFailure(
+            xhr, status, error, obj, data, tree, item, wasConnected
           );
-        }
-      })
-      .fail(function(xhr, status, error) {
-        return onFailure(
-          xhr, status, error, obj, data, tree, item, wasConnected
-        );
-      });
-    }
-
-    /* Send PING to indicate that session is alive */
-    function server_status(server_id)
-    {
-      url = "/ping";
-      $.post(url)
-      .done(function(data) { return true})
-      .fail(function(xhr, status, error) { return false})
-    }
+        });
+    };
   }
 
   return pgBrowser.Nodes['server'];
